---
title: Dummy Creating a Call
slug: web-rtc-tutorial-landing/connecting_the_peers/Creating_a_Call
---
<p>{{WebRTCSidebar}}</p>

<p id="684c">Now you’ll want to give your users the ability to create calls. First get the call button that’s defined in the HTML:</p>

<pre class="brush: js notranslate">const <strong><em>callBtn </em></strong>= <strong><em>document</em></strong>.querySelector(‘.call-btn’);`</pre>

<p id="602e">When a caller clicks “call” you’ll want to ask them for peer ID of the peer they want to call (which we store in <code>code</code> in <code>getStreamCode</code>) and then you’ll want to create a connection with that code.</p>

<pre class="brush: js notranslate"><strong><em>callBtn</em></strong>.addEventListener('click', function(){
    getStreamCode();
    connectPeers();
    const call = <strong><em>peer</em></strong>.call(<strong><em>code</em></strong>, <strong><em>window</em></strong>.localStream); // <strong>A</strong>

    call.on('stream', function(stream) { // <strong>B</strong>
        <strong><em>window</em></strong>.remoteAudio.srcObject = stream; // <strong>C</strong>
        <strong><em>window</em></strong>.remoteAudio.autoplay = true; // <strong>D</strong>
        <strong><em>window</em></strong>.peerStream = stream; //<strong>E</strong>
        showConnectedContent(); //<strong>F</strong>    });
})</pre>

<p id="89f9"><strong>A</strong>. <code>const call = peer.call(code, window.localStream)</code>: this will create a call with the <code>code</code> and <code>window.localStream</code> we’ve previously assigned. Note: the localStream will be the user’s localStream. So for caller A it’ll be their stream &amp; for B their own stream.</p>

<p id="27ae"><strong>B</strong>. <code>call.on('stream', function(stream) {</code> : peerJS gives us a <code>stream</code> event which you can use on the <code>call</code> that you’ve created. When a call starts streaming, you need to ensure that the remote stream coming from the call is assigned to the correct HTML elements and window, this is where you’ll need to do that.</p>

<p id="9950"><strong>C</strong>. This takes anonymous function takes a <code>MediaStream</code> object as an argument which you then have to set to your window’s HTML like you’ve done before. So you get your remote audio element and assign the src attribute to be the stream passed to the function.</p>

<p id="70c0"><strong>D</strong>. Ensure the element’s autoplay attribute is also set to true.</p>

<p id="91c3"><strong>E</strong>. Ensure that the window’s <code>peerStream</code> is set to the stream passed to the function.</p>

<p id="d9a7"><strong>F</strong>. Finally you want to show the correct content, so call your <code>showConnectedContent</code> function that was created earlier.</p>

<p id="fa5c">To test things open two browser windows and click call. You should see this:</p>

<p><img alt="Two screens side by side both A cream background with the words 'phone a friend' in bold, dark green font as the heading. The first screen has 'Your device ID is: 3b77.' and the second 'Your device ID is: 2doa', is immediately below the title and 'please use headphones!' below that. Following on, a big dark green button with 'Call' written in the same cream colour of the background. The second screen has a browser dialogue that asks for a peer id." src="https://miro.medium.com/max/1400/1*PUBiml_PJ-jjaVpjjeOUOw.png" style="height: 875px; width: 1400px;"></p>

<p>If you submit the other peer’s ID, the call will be connected but we need to give the other browser the chance to answer or decline the call.</p>
